﻿using System;
using System.IdentityModel.Tokens;
using System.Security.Cryptography.X509Certificates;
using System.Threading;
using System.Web;
using Microsoft.IdentityModel.Claims;
using Microsoft.IdentityModel.Protocols.WSFederation;
using Microsoft.IdentityModel.Tokens;
using Microsoft.IdentityModel.Tokens.Saml11;
using Microsoft.IdentityModel.Web;

namespace WebApplication1
{

    public class MyRegistry : IssuerNameRegistry
    {
        public override string GetIssuerName(System.IdentityModel.Tokens.SecurityToken securityToken)
        {
            return "unknown";
        }
    }


    public class Global : System.Web.HttpApplication
    {

        protected void Application_Authenticate(object sender, EventArgs e)
        {
        }

        protected void Application_Start(object sender, EventArgs e)
        {
            // This certificate will be used to decrypt the encrypted token issued by the STS.
            //In Beta2 certficate cannot be set via code. (This has been fixed for later builds)

            var certPath = HttpContext.Current.Server.MapPath("~/MainPortal.pfx");

            FederatedAuthentication.ServiceConfiguration.IssuerNameRegistry = new MyRegistry();

            var saml11Handler = FederatedAuthentication.ServiceConfiguration.SecurityTokenHandlers[typeof(SamlSecurityToken)] as Saml11SecurityTokenHandler;
            if (saml11Handler != null)
                saml11Handler.Configuration.AudienceRestriction.AudienceMode = System.IdentityModel.Selectors.AudienceUriMode.Never;
        }


    }


}