﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Threading;
using Microsoft.IdentityModel.Claims;
using System.Text;
using Microsoft.IdentityModel.Protocols.WSFederation;
using Microsoft.IdentityModel.Web;

namespace WebApplication1
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Thread.CurrentPrincipal.Identity.IsAuthenticated)
            {
                var claimsIdentity = Thread.CurrentPrincipal.Identity as IClaimsIdentity;

                if (claimsIdentity != null)
                {
                    GridView1.DataSource = claimsIdentity.Claims.Select(c => new { c.ClaimType, c.Value, c.ValueType });
                    GridView1.DataBind();
                }


            }
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            string returnUrl = "http://localhost:50036/aws/Default.aspx";

            var fam = HttpContext.Current.ApplicationInstance.Modules["WSFederationAuthenticationModule"] as WSFederationAuthenticationModule;
            var signInRequest = fam.CreateSignInRequest(Guid.NewGuid().ToString(), returnUrl, false);

            signInRequest.Realm = "http://www.aws.local";
            signInRequest.Reply = returnUrl;
            Response.Redirect(signInRequest.RequestUrl);
            
        }
    }
}
