﻿using Microsoft.IdentityModel.Claims;
using Microsoft.IdentityModel.Configuration;
using Microsoft.IdentityModel.Protocols.WSTrust;
using Microsoft.IdentityModel.SecurityTokenService;


namespace passiveSTS
{
    class CustomSecurityTokenService : SecurityTokenService
    {
        public CustomSecurityTokenService(SecurityTokenServiceConfiguration config)
            : base(config)        {    }

        protected override Scope GetScope(IClaimsPrincipal principal, RequestSecurityToken request)
        {
            var scope = SimpleScopeProvider.GetScope(request);
            scope.SigningCredentials = SecurityTokenServiceConfiguration.SigningCredentials;
            scope.ReplyToAddress = request.ReplyTo;

            return scope;
        }

        public override RequestSecurityTokenResponse Issue(IClaimsPrincipal principal, RequestSecurityToken request)
        {
            var token = base.Issue(principal, request);

            
            return token;
        }


        protected override IClaimsIdentity GetOutputClaimsIdentity(IClaimsPrincipal principal, RequestSecurityToken request, Scope scope)
        {
            return scope.Properties["OutputClaimsIdentity"] as IClaimsIdentity;
        }
    }
}