﻿using Microsoft.IdentityModel.Configuration;
using Microsoft.IdentityModel.SecurityTokenService;
using System.Security.Cryptography.X509Certificates;
using System.Web;

namespace passiveSTS
{
    public class CustomTokenServiceConfiguration:SecurityTokenServiceConfiguration
    {
        public CustomTokenServiceConfiguration():base("passiveSTS")
        {
            SecurityTokenService = typeof(CustomSecurityTokenService);

            var certPath = HttpContext.Current.Server.MapPath("~/certificate-store/passiveSTS.pfx");

            var stsCertificate = new X509Certificate2(certPath,"a");
            SigningCredentials = new X509SigningCredentials(stsCertificate);
        }
    }
}
